#include "mbed.h"
#include "Servo.h"
//#include "rtos.h"
//#include "PwmReader.h"
//#include "PwmIn.h"
#include "MainController.h"

Serial pc(USBTX, USBRX);
Timer t;

int main()
{
    t.start();
    
    MainController mainCtrl;
    
    // pixy cam!
    pixySPI pcam(p5,p6,p7, 20, &pc);
    //
       
    mainCtrl.start();

    while(true) {
  
        pc.printf("frq: %.2f, vol: %.2f, amp: %.2f, yaw: %.2f, dut: %.2f, pit: %.2f, adj: %.2f, tadd: %.2f, t: %.2f\n",
         mainCtrl.getFrequency(), mainCtrl.getVolume(), mainCtrl.getAmplitude(), mainCtrl.getYaw(), mainCtrl.getDutyCycle(), mainCtrl.getPitch(), mainCtrl.getAdj(), mainCtrl.getTimeAdd(), t.read());

        wait_ms(100);
    }
    //t.stop();
    //mainCtrl.stop();
}
